.images-container {
  display: flex;
  flex-direction: column-reverse; /* Stack children from bottom to top */
  justify-content: flex-end; /* Align children to the bottom */
  align-items: center; /* Center children horizontally */
  width: 100%;
  max-width: 95%;
  gap: 20px; /* Space between rows */
  overflow: hidden;
}

.image-row {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  width: 100%;
  overflow: hidden;
}

.image-row img {
  max-height: calc(100vh/3);
}
.image-label-container {
  display: inline-block;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px;
}

.image-label {
  width: 100%;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.7);
  color: white;
}
